services:
  stirling-pdf:
    image: frooodle/s-pdf:latest
    restart: unless-stopped

    volumes:
      - /home/docker/PaperDen/data:/usr/share/tessdata
      - /home/docker/PaperDen/config:/configs

    environment:
      - UI_APPNAME=PaperDen
      - SECURITY_ENABLELOGIN=true
      - SECURITY_LOGINATTEMPTCOUNT=3
      - DISABLE_ADDITIONAL_FEATURES=false
      - INSTALL_BOOK_AND_ADVANCED_HTML_OPS=true
      - LANGS=fr_FR
      - TRUSTED_PROXIES=10.10.0.20

    networks:
      tan-network:
        ipv4_address: 10.10.0.140

    labels:
      - traefik.enable=true
      - traefik.http.routers.stirling.rule=Host(`pdf.luckyden.org`)
      - traefik.http.routers.stirling.entrypoints=websecure
      - traefik.http.routers.stirling.tls=true
      - traefik.http.services.stirling.loadbalancer.server.port=8080


  it-tools:
    image: ghcr.io/corentinth/it-tools:latest
    restart: unless-stopped

    networks:
      tan-network:
        ipv4_address: 10.10.0.141

    labels:
      - traefik.enable=true
      - traefik.http.routers.ittools.rule=Host(`tools.luckyden.org`)
      - traefik.http.routers.ittools.entrypoints=websecure
      - traefik.http.routers.ittools.tls=true
      - traefik.http.services.ittools.loadbalancer.server.port=80


  fossflow:
    image: stnsmith/fossflow:latest
    pull_policy: always

    environment:
      - NODE_ENV=production
      - ENABLE_SERVER_STORAGE=true
      - STORAGE_PATH=/data/diagrams
      - ENABLE_GIT_BACKUP=false
      - TRUSTED_PROXIES=10.10.0.20

    volumes:
      - /home/docker/FlowDen/diagrams:/data/diagrams

    networks:
      tan-network:
        ipv4_address: 10.10.0.142

    labels:
      - traefik.enable=true
      - traefik.http.routers.fossflow.rule=Host(`flow.luckyden.org`)
      - traefik.http.routers.fossflow.entrypoints=websecure
      - traefik.http.routers.fossflow.tls=true
      - traefik.http.services.fossflow.loadbalancer.server.port=80


networks:
  tan-network:
    external: true
